#ifndef MELECTRIC_FURNACE_HPP_
#define MELECTRIC_FURNACE_HPP_

#include <Machine/MItemProcessor/MItemProcessor.hpp>

/**
 * @brief Represents the electric furnace machine.
 */
class MElectricFurnace : public MItemProcessor
{
protected:
    virtual ItemStack getOutputItem(ItemStack &input) override;
    virtual int getPowerUsage() override;

public:
    static std::string displayName;
    static std::string machineBlockName;
    static std::string verb;
    static std::string helpUrl;
    static constexpr int completedProgress = 300;

    static ItemStack getOutputItemS(ItemStack &input);

    MElectricFurnace(LocalWorld &world, glm::ivec3 pos);

    virtual int getCompletedProgress() override;
};

#endif